package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TAlert {
    private String aId;

    private String vCfCode;

    private Date aTime;

    private String aType;

    private String aModule;

    private String aLayer;

    private BigDecimal aThreshold;

    private String aState;

    private BigDecimal aValue;

    private Integer aWarnCount;

    public String getaId() {
        return aId;
    }

    public void setaId(String aId) {
        this.aId = aId == null ? null : aId.trim();
    }

    public String getvCfCode() {
        return vCfCode;
    }

    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    public Date getaTime() {
        return aTime;
    }

    public void setaTime(Date aTime) {
        this.aTime = aTime;
    }

    public String getaType() {
        return aType;
    }

    public void setaType(String aType) {
        this.aType = aType == null ? null : aType.trim();
    }

    public String getaModule() {
        return aModule;
    }

    public void setaModule(String aModule) {
        this.aModule = aModule == null ? null : aModule.trim();
    }

    public String getaLayer() {
        return aLayer;
    }

    public void setaLayer(String aLayer) {
        this.aLayer = aLayer == null ? null : aLayer.trim();
    }

    public BigDecimal getaThreshold() {
        return aThreshold;
    }

    public void setaThreshold(BigDecimal aThreshold) {
        this.aThreshold = aThreshold;
    }

    public String getaState() {
        return aState;
    }

    public void setaState(String aState) {
        this.aState = aState == null ? null : aState.trim();
    }

    public BigDecimal getaValue() {
        return aValue;
    }

    public void setaValue(BigDecimal aValue) {
        this.aValue = aValue;
    }

    public Integer getaWarnCount() {
        return aWarnCount;
    }

    public void setaWarnCount(Integer aWarnCount) {
        this.aWarnCount = aWarnCount;
    }
}